on: [push]

env:
  REGISTRY_URL: "git.cleverthis.com"
  REPOSITORY: "clevermicro/amq-adapter-python-demo"
  DOCKER_HOST: "tcp://dind:2375"

jobs:
  build-and-push:
    runs-on: general
    services:
      dind:
        image: docker:dind
        cmd:
          - dockerd
          - -H
          - tcp://0.0.0.0:2375
          - --tls=false
    container:
      image: "ghcr.io/catthehacker/ubuntu:js-22.04"
    steps:
      - name: checkout
        uses: actions/checkout@v4
        with:
          ref: ${{ github.ref_name }}

      - name: docker login
        uses: docker/login-action@v3
        with:
          registry: ${{ env.REGISTRY_URL }}
          username: ${{ secrets.REGISTRY_USER }}
          password: ${{ secrets.REGISTRY_PASSWORD }}

      - name: docker build & push
        uses: docker/build-push-action@v6
        with:
          context: .
          file: ./Dockerfile
          no-cache: true
          push: true
          tags: ${{ env.REGISTRY_URL }}/${{ env.REPOSITORY }}:20250709-01
